FieldHandler (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.bytecode.internal.javassist
Interface FieldHandler

All Known Implementing Classes:
  FieldInterceptorImpl

    public interface FieldHandler

The interface defining how interception of a field should be handled.

Method Summary
`boolean` | `readBoolean(Object obj, String name, boolean oldValue)`
`byte` | `readByte(Object obj, String name, byte oldValue)`
`char` | `readChar(Object obj, String name, char oldValue)`
`double` | `readDouble(Object obj, String name, double oldValue)`
`float` | `readFloat(Object obj, String name, float oldValue)`
`int` | `readInt(Object obj, String name, int oldValue)`
`long` | `readLong(Object obj, String name, long oldValue)`
`Object` | `readObject(Object obj, String name, Object oldValue)`
`short` | `readShort(Object obj, String name, short oldValue)`
`boolean` | `writeBoolean(Object obj, String name, boolean oldValue, boolean newValue)`
`byte` | `writeByte(Object obj, String name, byte oldValue, byte newValue)`
`char` | `writeChar(Object obj, String name, char oldValue, char newValue)`
`double` | `writeDouble(Object obj, String name, double oldValue, double newValue)`
`float` | `writeFloat(Object obj, String name, float oldValue, float newValue)`
`int` | `writeInt(Object obj, String name, int oldValue, int newValue)` Called to handle writing an int value to a given field.
`long` | `writeLong(Object obj, String name, long oldValue, long newValue)`
`Object` | `writeObject(Object obj, String name, Object oldValue, Object newValue)`
`short` | `writeShort(Object obj, String name, short oldValue, short newValue)`

Method Detail

### writeInt

    int writeInt(Object obj,
                 String name,
                 int oldValue,
                 int newValue)

  Called to handle writing an int value to a given field.

  Parameters:
    `obj` - ?
    `name` - The name of the field being written
    `oldValue` - The old field value
    `newValue` - The new field value.
  Returns:
    ?

### writeChar

    char writeChar(Object obj,
                   String name,
                   char oldValue,
                   char newValue)

### writeByte

    byte writeByte(Object obj,
                   String name,
                   byte oldValue,
                   byte newValue)

### writeBoolean

    boolean writeBoolean(Object obj,
                         String name,
                         boolean oldValue,
                         boolean newValue)

### writeShort

    short writeShort(Object obj,
                     String name,
                     short oldValue,
                     short newValue)

### writeFloat

    float writeFloat(Object obj,
                     String name,
                     float oldValue,
                     float newValue)

### writeDouble

    double writeDouble(Object obj,
                       String name,
                       double oldValue,
                       double newValue)

### writeLong

    long writeLong(Object obj,
                   String name,
                   long oldValue,
                   long newValue)

### writeObject

    Object writeObject(Object obj,
                       String name,
                       Object oldValue,
                       Object newValue)

### readInt

    int readInt(Object obj,
                String name,
                int oldValue)

### readChar

    char readChar(Object obj,
                  String name,
                  char oldValue)

### readByte

    byte readByte(Object obj,
                  String name,
                  byte oldValue)

### readBoolean

    boolean readBoolean(Object obj,
                        String name,
                        boolean oldValue)

### readShort

    short readShort(Object obj,
                    String name,
                    short oldValue)

### readFloat

    float readFloat(Object obj,
                    String name,
                    float oldValue)

### readDouble

    double readDouble(Object obj,
                      String name,
                      double oldValue)

### readLong

    long readLong(Object obj,
                  String name,
                  long oldValue)

### readObject

    Object readObject(Object obj,
                      String name,
                      Object oldValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.